Package ru.bgcrm.event.listener

# Class DefaultMarkedProcessor

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.model.process.queue.Processor
ru.bgcrm.event.listener.DefaultMarkedProcessor

All Implemented Interfaces:
  `Serializable`, `GetJsp`, `Id<Integer>`

public class DefaultMarkedProcessor extends Processor

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DefaultMarkedProcessor.Command`
  `static class`
  `DefaultMarkedProcessor.Config`

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultMarkedProcessor(int id, ConfigMap configMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJsp()`
  `void`
  `process(ProcessMarkedActionEvent e, ConnectionSet conSet)`
  Processing event for a class-based processor.

  ### Methods inherited from class ru.bgcrm.model.process.queue.Processor

  `getClassName, getConfigMap, getIface, getPageUrl, getTitle, isHtmlReport`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultMarkedProcessor

    public DefaultMarkedProcessor(int id, ConfigMap configMap)

- ## Method Details

  - ### getJsp

    public String getJsp()
    Specified by:
      `getJsp` in interface `GetJsp`
    Overrides:
      `getJsp` in class `Processor`
    Returns:
      JSP page with parameters for a class-based processor.

  - ### process

    public void process(ProcessMarkedActionEvent e, ConnectionSet conSet) throws Exception
    Description copied from class: `Processor`
    Processing event for a class-based processor.
    Overrides:
      `process` in class `Processor`
    Parameters:
      `e` - the event with selected processes.
      `conSet` - DB connections.
    Throws:
      `Exception`